## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csXRotMatrix3 Class Reference
[Geometry utilities]

An instance of csMatrix3 that is initialized as a rotation about X. More...

`#include <csgeom/matrix3.h>`

Inheritance diagram for csXRotMatrix3:

[legend]
List of all members.

## Public Member Functions

| csXRotMatrix3 (float angle)
| Return a rotation matrix around the X axis.

## Detailed Description

An instance of csMatrix3 that is initialized as a rotation about X.

Definition at line 208 of file matrix3.h.

## Constructor & Destructor Documentation

csXRotMatrix3::csXRotMatrix3 | ( | float | angle | ) |

| Return a rotation matrix around the X axis. 'angle' is given in radians. Looking along the X axis with Y pointing to the right and Z pointing up a rotation of PI/2 will rotate 90 degrees in anti-clockwise direction (i.e. 0,1,0 -> 0,0,1).

The documentation for this class was generated from the following file:

- csgeom/matrix3.h